Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 23-11-2020 23:35:35

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian
Noyau : Dur
(G)UI : gui gui, je zuis un doiseau
Inscription : 07-07-2008
Site Web

Re : CAP - La bataille navale Pirate !

La version alpha4 a été publiée. Pour ceux qui veulent tester, un .deb est dispo. https://chezlefab.net/share/3f6c697fa65 … -1_all.deb
En espérant une intégration prochaine à Debian :-)

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.
Je suis parrain linux !

Hors ligne

#27 23-11-2020 23:58:29

Cram28
Membre
Lieu : Eure-et-Loir
Distrib. : Debian Buster
Noyau : Linux 4.19.0-13-amd64
(G)UI : Xfce
Inscription : 14-09-2020

Re : CAP - La bataille navale Pirate !

Bonsoir,

Nickel:

$ sudo dpkg -i capbattleship_1.0~alpha4-1_all.deb


Mais problème de dépendance sur ce .deb (nouveauté donc, la version précédente ne l''avait pas):

$ capbattleship
pygame 1.9.4.post1
Hello from the pygame community. https://www.pygame.org/contribute.html
Fatal Python error: (pygame parachute) Segmentation Fault
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pygame/pkgdata.py", line 27, in <module>
    from pkg_resources import resource_stream, resource_exists
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 3191, in <module>
    @_call_aside
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 3175, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 3204, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'configparser' distribution was not found and is required by capbattleship
Abandon
 



Du coup j'ai tenté (pip pas à jour - pas grave) :

$ pip3 install configparser
Defaulting to user installation because normal site-packages is not writeable
Collecting configparser
  Downloading configparser-5.0.1-py3-none-any.whl (22 kB)
Installing collected packages: configparser
Successfully installed configparser-5.0.1
WARNING: You are using pip version 20.2.3; however, version 20.2.4 is available.
You should consider upgrading via the '/usr/bin/python3 -m pip install --upgrade pip' command.
 


Et çà fonctionne !

Merci pour ce jeu sympa !merci.gif

@+


Travaille du chapeau: "Je sais que vous croyez comprendre ce que vous pensez que j'ai dit, mais je ne suis pas certain que vous réalisiez que ce que vous avez entendu n'est pas exactement ce que je voulais dire..."

Hors ligne

#28 24-11-2020 00:54:51

arpinux
CA Debian-Facile
Lieu : Montréal d'aude
Distrib. : nakeDeb
Noyau : 4.19-amd64
(G)UI : i3wm - fluxbox
Inscription : 30-06-2016
Site Web

Re : CAP - La bataille navale Pirate !

o/ smile

- paquet deb propre au lintian (mais tu le savais déjà, c'est pour le faire remarquer wink )
- .desktop fonctionnel avec une jolie icône de menu devart-skullbones2.gif
- même bug ^^, résolu de la même façon ^^
- plus rapide que la dernière version
- petite latence parfois sur le carré orange qui délimite le tir : il ne suit pas toujours le curseur et se fixe seulement après le coup tiré
- excellent jouabilité, les sons sont nickels : la tension monte lorsque tu entends et vois tes bateaux se faire couler...
- cool aussi l'indicateur sous les bateaux et bien vu de ne pas les activer tant que le bateau n'est pas coulé wink

et oui, une tite intégration dans Debian serait cool big_smile
bravo pour ce petit jeu tellement classique mais tellement addictif (surtout avec les mômes ... qui testerons demain wink )
+1 smile

nous sommes tous différents ... c'est notre point commun ...
Association Debian-Facile - Les cahiers du débutant - ISO Debian-Facile - anar'prez - 3hg

En ligne

#29 24-11-2020 00:55:39

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian
Noyau : Dur
(G)UI : gui gui, je zuis un doiseau
Inscription : 07-07-2008
Site Web

Re : CAP - La bataille navale Pirate !

Oh, merci pour ton retour Cram28.

Tu es en Debian stable ?
Car sous sid je n'ai pas besoin d'installer ce module. J'imagine qu'il est inclus directement dans python3 maintenant.

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.
Je suis parrain linux !

Hors ligne

#30 24-11-2020 00:57:42

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian
Noyau : Dur
(G)UI : gui gui, je zuis un doiseau
Inscription : 07-07-2008
Site Web

Re : CAP - La bataille navale Pirate !

Merci arpinux ! :-) Toi aussi tu es en stable il me semble ?

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.
Je suis parrain linux !

Hors ligne

#31 24-11-2020 01:01:15

arpinux
CA Debian-Facile
Lieu : Montréal d'aude
Distrib. : nakeDeb
Noyau : 4.19-amd64
(G)UI : i3wm - fluxbox
Inscription : 30-06-2016
Site Web

Re : CAP - La bataille navale Pirate !

oui, et j'ai du installer python3-pip puis lancer pip3 install configparser.

de plus, sur stable, si tu demandes "python-pip", le configpaser associé ne fonctionnera pas, il faut python3-pip.

nous sommes tous différents ... c'est notre point commun ...
Association Debian-Facile - Les cahiers du débutant - ISO Debian-Facile - anar'prez - 3hg

En ligne

#32 24-11-2020 13:59:16

David5647
Membre
Distrib. : Debian Bullseye/Sid
Noyau : 5.7.0-2-amd64
(G)UI : KDE/i3wm
Inscription : 27-08-2017

Re : CAP - La bataille navale Pirate !

Même problème sous testing,
configparser est bien dans la lib standard, dans la 3.0 même.
l'import dans le fichier logic.py ne pose à priori pas de problème
c'est au niveau de pygame que ça bloque

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pygame/pkgdata.py", line 27, in <module>
    from pkg_resources import resource_stream, resource_exists



Aucune idée de pourquoi ni de comment...

Au passage : j'ai parcouru le code, il est vraiment clair. Bravo! =P

Hors ligne

#33 24-11-2020 14:36:17

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-12-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : CAP - La bataille navale Pirate !

Pareil pour moi sous Buster Stable

captnfab a écrit :

pip3 est une commande du paquet python3-pip, et il installe le module setuptools au passage :-)


donc au passage

apt install python3-pip


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#34 24-11-2020 19:43:37

Cram28
Membre
Lieu : Eure-et-Loir
Distrib. : Debian Buster
Noyau : Linux 4.19.0-13-amd64
(G)UI : Xfce
Inscription : 14-09-2020

Re : CAP - La bataille navale Pirate !

Bonsoir,

captnfab a écrit :


Tu es en Debian stable ?


Voui: Buster à jour, 4.19.0-12-amd64.

Python 2.7 disparaît très prochainement il me semble ?
J'imagine que la prochaine stable Debian embarquera "nativement" Python3, avec sûrement des librairies par défaut, nouvelles ou différentes, qui viendront avec...

Merci, @+


Travaille du chapeau: "Je sais que vous croyez comprendre ce que vous pensez que j'ai dit, mais je ne suis pas certain que vous réalisiez que ce que vous avez entendu n'est pas exactement ce que je voulais dire..."

Hors ligne

#35 26-11-2020 14:16:31

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian
Noyau : Dur
(G)UI : gui gui, je zuis un doiseau
Inscription : 07-07-2008
Site Web

Re : CAP - La bataille navale Pirate !

@david5647: mhh, ok, peut-être python3-pkg-resources ou python3-importlib-metadata à installer ?

Merci pour tous ces tests en tout cas ! Ça nous aide à améliorer le paquet.

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.
Je suis parrain linux !

Hors ligne

#36 26-11-2020 18:46:37

David5647
Membre
Distrib. : Debian Bullseye/Sid
Noyau : 5.7.0-2-amd64
(G)UI : KDE/i3wm
Inscription : 27-08-2017

Re : CAP - La bataille navale Pirate !

J'ai tenté sur un pc ou j'avais moins de paquets python, il a été nécessaire d'installer python3-importlib-metadata.

Mais toujours ce problème de configparser, il est bien dans la lib standard, import configparser dans un script passe sans problème,
mais tant que l'on ne l'a pas installé via pip3 install configparser, ça ne passe pas.


More Plouf and Boum sounds for variety and some Glouglou when Coulé
#15 · opened 1 week ago by captnfab


Best issue ever! =P

Dernière modification par David5647 (26-11-2020 19:18:11)

Hors ligne

#37 27-11-2020 08:44:58

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian
Noyau : Dur
(G)UI : gui gui, je zuis un doiseau
Inscription : 07-07-2008
Site Web

Re : CAP - La bataille navale Pirate !

Ok !

David5647 a écrit :

More Plouf and Boum sounds for variety and some Glouglou when Coulé
#15 · opened 1 week ago by captnfab


Best issue ever! =P


big_smile


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.
Je suis parrain linux !

Hors ligne

#38 29-11-2020 00:53:43

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian
Noyau : Dur
(G)UI : gui gui, je zuis un doiseau
Inscription : 07-07-2008
Site Web

Re : CAP - La bataille navale Pirate !

Nouvelle version: 1.0~alpha5.

Des améliorations au niveau du packaging, et de l'intégration au système. De nouvelles langues traduites (vous parlez une langue qui n'a pas encore été traduite ? participez à la traduction collaborative ! https://hosted.weblate.org/projects/cap … ttleship/).

Vous pouvez le télécharger par ce lien : https://forge.tedomum.net/captnfab/capb … ha5.tar.gz
Pour le lancer, vérifiez de bien avoir le paquet python3-pygame. Et pour le reste…

wget "https://forge.tedomum.net/captnfab/capbattleship/-/archive/v1.0alpha5/capbattleship-v1.0alpha5.tar.gz"
tar xf capbattleship-v1.0alpha5.tar.gz
cd capbattleship-v1.0alpha5
./capbattleship.py


Alternativement, vous pouvez récupérer le paquet debian provisoire ici: capbattleship_1.0~alpha5-1_all.deb.

wget 'https://chezlefab.net/share/3f6c697fa65faf0baece/capbattleship_1.0~alpha5-1_all.deb'


apt install ./capbattleship_1.0~alpha5-1_all.deb


capbattleship


Ou encore, installer le flatpack:

flatpak install --user https://dl.flathub.org/build-repo/32143/net.tedomum.CapBattleship.flatpakref
flatpak run net.tedomum.CapBattleship


Pour ceux qui avaient du installer configparser à la main, sauriez-vous me dire si le problème se pose encore ?
Je n'ai pas vraiment réussi à reproduire le bug. Le paquet dépend de python3, qui, en stable, dépend de python3.7, qui dépend de python3.7-minimal, qui dépend de libpython3.7-minimal, qui amène configparser…
Si vous arrivez à reproduire le bug, pouvez-vous me donner la sortie de

dpkg -S configparser.py
apt-cache policy libpython3.7-minimal



Merci :-)


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.
Je suis parrain linux !

Hors ligne

#39 29-11-2020 09:58:33

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-12-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : CAP - La bataille navale Pirate !

Hello
j'ai purge l'alpha4 puis installé le nouveau deb alpha5 sans soucis pas de message de configparser
par contre la purge du paquet a laissé l'ancien fichier desktop (~/.local/share)

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#40 29-11-2020 10:04:19

Cram28
Membre
Lieu : Eure-et-Loir
Distrib. : Debian Buster
Noyau : Linux 4.19.0-13-amd64
(G)UI : Xfce
Inscription : 14-09-2020

Re : CAP - La bataille navale Pirate !

Bonjour,

Pour ma part, j'avais dû installer à la main ''configparser''. J'ai donc commencé par virer:


sudo apt remove --purge capbattleship
pip3 uninstall configparser
 



Puis manip installation:


sudo apt install ./Téléchargements/capbattleship_1.0~alpha5-1_all.deb
capbattleship
 


Et çà fonctionne du premier coup smile

Pour info:


dpkg -S configparser.py
python3-future: /usr/lib/python3/dist-packages/future/moves/configparser.py
python-configparser: /usr/lib/python2.7/dist-packages/configparser.py
libpython3.7-minimal:amd64: /usr/lib/python3.7/configparser.py
 




apt-cache policy libpython3.7-minimal
libpython3.7-minimal:
  Installé : 3.7.3-2+deb10u2
  Candidat : 3.7.3-2+deb10u2
 Table de version :
 *** 3.7.3-2+deb10u2 500
        500 http://deb.debian.org/debian buster/main amd64 Packages
        100 /var/lib/dpkg/status
 



Super, merci
@+

[Edit] Pareil que Crouton en fait, sauf que j'ai pas vérifié le desktop...

Dernière modification par Cram28 (29-11-2020 10:04:53)


Travaille du chapeau: "Je sais que vous croyez comprendre ce que vous pensez que j'ai dit, mais je ne suis pas certain que vous réalisiez que ce que vous avez entendu n'est pas exactement ce que je voulais dire..."

Hors ligne

#41 29-11-2020 10:15:38

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-12-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : CAP - La bataille navale Pirate !

test sur ma VM kiss0s (debian Buster)
pas de soucis install du deb via apt

sudo apt install ./capbattleship_1.0~alpha5-1_all.deb
sudo: impossible de déterminer le nom de l'hôte debian: Nom ou service inconnu
[sudo] Mot de passe de stephane : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Note : sélection de « capbattleship » au lieu de « ./capbattleship_1.0~alpha5-1_all.deb »
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
  linux-image-4.19.0-8-amd64
Veuillez utiliser « sudo apt autoremove » pour le supprimer.
Les paquets supplémentaires suivants seront installés :
  fonts-freefont-ttf libportmidi0 libsdl-ttf2.0-0 python3-numpy python3-pygame
Paquets suggérés :
  gfortran python-numpy-doc python3-pytest python3-numpy-dbg python-pygame-doc timidity
Les NOUVEAUX paquets suivants seront installés :
  capbattleship fonts-freefont-ttf libportmidi0 libsdl-ttf2.0-0 python3-numpy python3-pygame
0 mis à jour, 6 nouvellement installés, 0 à enlever et 12 non mis à jour.
Il est nécessaire de prendre 7075 ko/15,1 Mo dans les archives.
Après cette opération, 34,0 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de :1 http://deb.debian.org/debian buster/main amd64 fonts-freefont-ttf all 20120503-9 [4319 kB]
Réception de :2 /mnt/capbattleship_1.0~alpha5-1_all.deb capbattleship all 1.0~alpha5-1 [8014 kB]
Réception de :3 http://deb.debian.org/debian buster/main amd64 python3-numpy amd64 1:1.16.2-1 [2119 kB]                      
Réception de :4 http://deb.debian.org/debian buster/main amd64 libportmidi0 amd64 1:217-6 [22,7 kB]                          
Réception de :5 http://deb.debian.org/debian buster/main amd64 libsdl-ttf2.0-0 amd64 2.0.11-6 [18,6 kB]                      
Réception de :6 http://deb.debian.org/debian buster/main amd64 python3-pygame amd64 1.9.4.post1+dfsg-3 [596 kB]              
7075 ko réceptionnés en 12s (575 ko/s)                                                                                      
Sélection du paquet fonts-freefont-ttf précédemment désélectionné.
(Lecture de la base de données... 200246 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../0-fonts-freefont-ttf_20120503-9_all.deb ...
Dépaquetage de fonts-freefont-ttf (20120503-9) ...
Sélection du paquet python3-numpy précédemment désélectionné.
Préparation du dépaquetage de .../1-python3-numpy_1%3a1.16.2-1_amd64.deb ...
Dépaquetage de python3-numpy (1:1.16.2-1) ...
Sélection du paquet libportmidi0:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../2-libportmidi0_1%3a217-6_amd64.deb ...
Dépaquetage de libportmidi0:amd64 (1:217-6) ...
Sélection du paquet libsdl-ttf2.0-0:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../3-libsdl-ttf2.0-0_2.0.11-6_amd64.deb ...
Dépaquetage de libsdl-ttf2.0-0:amd64 (2.0.11-6) ...
Sélection du paquet python3-pygame précédemment désélectionné.
Préparation du dépaquetage de .../4-python3-pygame_1.9.4.post1+dfsg-3_amd64.deb ...
Dépaquetage de python3-pygame (1.9.4.post1+dfsg-3) ...
Sélection du paquet capbattleship précédemment désélectionné.
Préparation du dépaquetage de .../5-capbattleship_1.0~alpha5-1_all.deb ...
Dépaquetage de capbattleship (1.0~alpha5-1) ...
Paramétrage de fonts-freefont-ttf (20120503-9) ...
Paramétrage de libportmidi0:amd64 (1:217-6) ...
Paramétrage de python3-numpy (1:1.16.2-1) ...
Paramétrage de libsdl-ttf2.0-0:amd64 (2.0.11-6) ...
Paramétrage de python3-pygame (1.9.4.post1+dfsg-3) ...
Paramétrage de capbattleship (1.0~alpha5-1) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23-4) ...
Traitement des actions différées (« triggers ») pour mime-support (3.62) ...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.17-2) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.28-10) ...
Traitement des actions différées (« triggers ») pour man-db (2.8.5-2) ...
Traitement des actions différées (« triggers ») pour fontconfig (2.13.1-2) ...
N: Le téléchargement est effectué en dehors du bac à sable en tant que « root » car le fichier « /mnt/capbattleship_1.0~alpha5-1_all.deb » n'est pas accessible par l'utilisateur « _apt ». - pkgAcquire::Run (13: Permission non accordée)
 


j'ai pas trop compris le dernier message d'erreur mais le jeu est bien installé et fonctionne


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#42 29-11-2020 10:21:10

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian
Noyau : Dur
(G)UI : gui gui, je zuis un doiseau
Inscription : 07-07-2008
Site Web

Re : CAP - La bataille navale Pirate !

Croutons a écrit :

j'ai purge l'alpha4 puis installé le nouveau deb alpha5 sans soucis pas de message de configparser


Ok, ça c'est une bonne nouvelle, merci smile

Croutons a écrit :

par contre la purge du paquet a laissé l'ancien fichier desktop (~/.local/share)


Alors, l'installation/désinstallation/purge d'un paquet debian ne touche jamais au $HOME de l'utilisateur.
Je ne suis pas sûr de comment/pourquoi ce fichier était arrivé là. Peut-être un vieux « pip3 install . » ?

Cram28 a écrit :

Pour ma part, j'avais dû installer à la main ''configparser''. J'ai donc commencé par virer […] Puis manip installation […] Et ça fonctionne du premier coup smile Pour info […]


Ok, super, merci Cram28, et merci pour les sorties des commandes smile


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.
Je suis parrain linux !

Hors ligne

#43 29-11-2020 10:28:16

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-12-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : CAP - La bataille navale Pirate !

Je ne suis pas sûr de comment/pourquoi ce fichier était arrivé là. Peut-être un vieux « pip3 install . » ?


c'est le deb de l'apha4 qui a créé le desktop dans share local , alors que l'alpha5 la desktop est créé sous usr/share comme les autres applications
pip install je l'avais juste utilisé pour configparser sur l'alpha4
bon c'est pas grave quand on sait ou chercher pour le supprimer


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#44 29-11-2020 10:46:55

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.9.4-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : CAP - La bataille navale Pirate !

Est un pkg.tar.xz pour Arch ?  smile

out.gif

Dernière modification par golgot200 (29-11-2020 10:47:37)

Hors ligne

#45 29-11-2020 12:50:55

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.10 (amd64)
(G)UI : Openbox
Inscription : 18-11-2013
Site Web

Re : CAP - La bataille navale Pirate !

golgot200 a écrit :

Est un pkg.tar.xz pour Arch ?  smile



Suffit de demander big_smile
https://aur.archlinux.org/packages/capbattleship-git/


Jouer sous Debian ? Facile !

En ligne

#46 29-11-2020 12:55:16

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.9.4-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : CAP - La bataille navale Pirate !

vv222

cool !!! merci à toi wink

yay -S capbattleship-git





:: Vérification des conflits...
:: Vérification des conflits internes...
[Repo:5]  sdl2_mixer-2.0.4-5  sdl2_ttf-2.0.15-2  sdl2_image-2.0.5-2  portmidi-217-9  python-pygame-2.0.0-1
[Aur:1]  capbattleship-git-v1.0alpha2.r3.gb771f89-1

:: Téléchargement des PKGBUILD (1/1) : capbattleship-git
  1 capbattleship-git                (Fichiers de compilation existants)
==> Afficher les diffs ?
==> [N]Aucun [A]Tous [Ab]Annuler [I]nstallés [No]nInstallés ou (1 2 3, 1-3, ^4)
==>
:: (1/1) Lecture de SRCINFO : capbattleship-git
[sudo] Mot de passe de patrick :
résolution des dépendances…
recherche des conflits entre paquets…

Paquets (5) portmidi-217-9  python-pygame-2.0.0-1  sdl2_image-2.0.5-2  sdl2_mixer-2.0.4-5  sdl2_ttf-2.0.15-2

Taille totale installée :  8,89 MiB

:: Procéder à l’installation ? [O/n]
 




Arfff une petite coquille :



Installing capbattleship script to /home/patrick/.cache/yay/capbattleship-git/pkg/capbattleship-git/usr/bin
mv: impossible d'évaluer '/home/patrick/.cache/yay/capbattleship-git/pkg/capbattleship-git/usr/bin/capbattleship.py': Aucun fichier ou dossier de ce type
==> ERREUR : Une erreur s’est produite dans package().
    Abandon…
erreur lors de la construction : capbattleship-git
 

Dernière modification par golgot200 (29-11-2020 12:59:09)

Hors ligne

#47 29-11-2020 18:01:18

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian
Noyau : Dur
(G)UI : gui gui, je zuis un doiseau
Inscription : 07-07-2008
Site Web

Re : CAP - La bataille navale Pirate !

Oui, le pkgbuild pour arch a été fait pour la 1.0alpha3, il n'a pas été mis à jour depuis mais essaie d'installer la dernière version quand même :-)
Je vais signaler le pb au packager.

@edit: voilà, le mainteneur a corrigé :-)

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.
Je suis parrain linux !

Hors ligne

#48 29-11-2020 19:25:55

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.9.4-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : CAP - La bataille navale Pirate !

captnfab a écrit :

Oui, le pkgbuild pour arch a été fait pour la 1.0alpha3, il n'a pas été mis à jour depuis mais essaie d'installer la dernière version quand même :-)
Je vais signaler le pb au packager.

@edit: voilà, le mainteneur a corrigé :-)



Impeccable, le jeux est installé sur Arch. Merci smile

Hors ligne

#49 03-12-2020 23:34:55

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian
Noyau : Dur
(G)UI : gui gui, je zuis un doiseau
Inscription : 07-07-2008
Site Web

Re : CAP - La bataille navale Pirate !

Nouvelle version 1.0~alpha7 !

Disponible ici: https://forge.tedomum.net/cap-pirate-ba … ree/master


Depuis le dernier post sur le forum, beaucoup de changements !

  • la résolution est désormais 720p en 30fps

  • de nouveaux niveaux de difficulté (et modification des anciens)

  • des pirates !!!

  • un mode full-screen qui s'adapte à votre résolution (avec des bandes noires)

  • amélioration du gameplay (pose des gros bateaux d'abord)

  • menu ingame, possibilité de quitter / reprendre la partie pour aller changer des options

  • plein de nouveaux artworks !

  • et j'en oublie probablement…



Quelques captures d'écran du jeu :
v1.0alpha7_main.jpg
v1.0alpha7_battle.jpg


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.
Je suis parrain linux !

Hors ligne

#50 04-12-2020 20:56:48

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-12-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : CAP - La bataille navale Pirate !

Hello installé l'apha7
je n'ai pas purge l'alpha5 avant je sais si c'est bon
j'ai voulu testé le mode plein écran , je me suis fais jeter
du coup j'ai lancé dans le terminale , test du mode fenêtré ...j'ai une fenêtre qui apparaît me demandant le passe root pour avoir acces au pare feu
les coups suivant pas de demande de mot de passe mais plein de message d'erreur

capbattleship


pygame 1.9.4.post1
Hello from the pygame community. https://www.pygame.org/contribute.html
Traceback (most recent call last):
  File "/usr/games/capbattleship", line 33, in <module>
    sys.exit(load_entry_point('capbattleship==0.0.7', 'gui_scripts', 'capbattleship')())
  File "/usr/lib/python3/dist-packages/capbattleship/__main__.py", line 41, in main
    game_main()
  File "/usr/lib/python3/dist-packages/capbattleship/__main__.py", line 15, in game_main
    game.run()
  File "/usr/lib/python3/dist-packages/capbattleship/logic.py", line 375, in run
    self.ui.draw(self)
  File "/usr/lib/python3/dist-packages/capbattleship/pygameui.py", line 1944, in draw
    self.screen2 = pygame.display.set_mode((mx, my), flags=flags)
TypeError: set_mode() takes no keyword arguments
 


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

Pied de page des forums